EndpointsReporters

List reporter runs

GET/v2/reporters/runs

Returns newest visible reporter runs. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

reporter_version_id?|

Return only runs of this reporter version.

status?|

Return only runs with this status.

limit?Limit

Maximum runs returned.

Range1 <= value <= 100
Default20
cursor?|

Continuation token from the previous response's X-Next-Cursor header.

curl -X GET "https://example.com/v2/reporters/runs"
[  {    "id": "string",    "status": "pending",    "reporter_version_id": "string",    "subject": {},    "status_url": "string",    "output_url": "string",    "trace_url": "string",    "usage": {},    "output_parts": [      {        "id": "string",        "reporter_id": "string",        "reporter_run_id": "string",        "name": "string",        "type": "string",        "size_bytes": 0,        "content_hash": "string",        "media_type": "string",        "created_at": "2019-08-24T14:15:22Z",        "url": "string"      }    ],    "created_at": "2019-08-24T14:15:22Z",    "running_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "error": "string"  }]